# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add-multiple-steps-to-null

Revision ID: 538b09c13729
Revises: a3b9fdce74bd
Create Date: 2021-03-29 09:00:38.190089

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "538b09c13729"
down_revision = "a3b9fdce74bd"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE capabilities "
        "SET capability_steps = 'prepare-and-run-workflow null\nawait-workflow' "
        "WHERE capability_name = 'null'"
    )


def downgrade():
    op.execute(
        "UPDATE capabilities "
        "SET capability_steps = 'prepare-and-run-workflow null' "
        "WHERE capability_name = 'null'"
    )
