# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""fix qa fail transition

Revision ID: 56ba509cdb79
Revises: 2e079c8ac6e3
Create Date: 2021-10-28 14:22:26.977938

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "56ba509cdb79"
down_revision = "2e079c8ac6e3"
branch_labels = None
depends_on = None


def upgrade():
    """
    A standard calibration that has failed QA should transition to Failed

    :return:
    """
    op.execute(
        """
UPDATE capability_state_transitions
SET to_state='Failed'
WHERE capability_name='std_calibration'
AND from_state='Awaiting QA'
AND pattern='type == qa-fail'
    """
    )


def downgrade():
    """
    A standard calibration that has failed QA should transition to Complete

    :return:
    """
    op.execute(
        """
UPDATE capability_state_transitions
SET to_state='Complete'
WHERE capability_name='std_calibration'
AND from_state='Awaiting QA'
AND pattern='type == qa-fail'
    """
    )
